Get the results of the scheduled transactions report as an xlsx file
Body·
application/json
- Type: string | nullFormat: uuidpartner
Id The partner to filter by
- Type: enumpartner
Relationship Integer numbers.
valuesClient = 1Carrier = 2 - Type: stringFormat: dateschedule
Date From The start date in the schedule date range
- Type: stringFormat: dateschedule
Date To The end date in the schedule date range
- Type: enumschedule
Status Integer numbers.
valuesDraft = 1Approved = 2
Responses
- 200
OK
Request Example for post/v1/reports/scheduled-transactions/xlsx
curl https://api.consignlyhq.com/v1/reports/scheduled-transactions/xlsx \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"scheduleDateFrom": "date (YYYY-MM-DD)",
"scheduleDateTo": "date (YYYY-MM-DD)",
"scheduleStatus": "enum (Draft = 1, Approved = 2)",
"partnerRelationship": "enum (Client = 1, Carrier = 2)",
"partnerId": null
}'
No Body